/************************CASP_COPYRIGHT**********************************
** Copyright (c) AadhunikLabs. All rights reserved.
** This file is part of CASP.
** Licensees holding valid licenses may use this file in accordance
** with the license agreement provided with the software.
*************************************************************************/
#ifndef _BSP_SERVO_H_
#define _BSP_SERVO_H_

#include "stm32.h"

class Servo
{
public:
    Servo();
    ~Servo();
    void attach(int pin, int min=544, int max=2400, int period=20000);
    void write(float angle);//0 to 180
    void writeMicroseconds(unsigned int micro_sec);
private:
    int m_pin;
    int m_min, m_max;//in micro seconds
    float m_pulse_factor;
};

#endif//_BSP_SERVO_H_
