/************************CASP_COPYRIGHT**********************************
** Copyright (c) AadhunikLabs. All rights reserved.
** This file is part of CASP.
** Licensees holding valid licenses may use this file in accordance
** with the license agreement provided with the software.
*************************************************************************/
#ifndef STM32F4_DEFS_H
#define STM32F4_DEFS_H

#include "stm32f4xx_hal.h"

#define MCO_Pin GPIO_PIN_0
#define MCO_GPIO_Port GPIOH
#define RMII_MDC_Pin GPIO_PIN_1
#define RMII_MDC_GPIO_Port GPIOC
#define RMII_REF_CLK_Pin GPIO_PIN_1
#define RMII_REF_CLK_GPIO_Port GPIOA
#define RMII_MDIO_Pin GPIO_PIN_2
#define RMII_MDIO_GPIO_Port GPIOA
#define RMII_CRS_DV_Pin GPIO_PIN_7
#define RMII_CRS_DV_GPIO_Port GPIOA
#define RMII_RXD0_Pin GPIO_PIN_4
#define RMII_RXD0_GPIO_Port GPIOC
#define RMII_RXD1_Pin GPIO_PIN_5
#define RMII_RXD1_GPIO_Port GPIOC
#define RMII_TXD1_Pin GPIO_PIN_13
#define RMII_TXD1_GPIO_Port GPIOB
#define STLK_RX_Pin GPIO_PIN_8
#define STLK_RX_GPIO_Port GPIOD
#define STLK_TX_Pin GPIO_PIN_9
#define STLK_TX_GPIO_Port GPIOD
#define USB_PowerSwitchOn_Pin GPIO_PIN_6
#define USB_PowerSwitchOn_GPIO_Port GPIOG
#define USB_OverCurrent_Pin GPIO_PIN_7
#define USB_OverCurrent_GPIO_Port GPIOG
#define USB_SOF_Pin GPIO_PIN_8
#define USB_SOF_GPIO_Port GPIOA
#define USB_VBUS_Pin GPIO_PIN_9
#define USB_VBUS_GPIO_Port GPIOA
#define USB_ID_Pin GPIO_PIN_10
#define USB_ID_GPIO_Port GPIOA
#define USB_DM_Pin GPIO_PIN_11
#define USB_DM_GPIO_Port GPIOA
#define USB_DP_Pin GPIO_PIN_12
#define USB_DP_GPIO_Port GPIOA
#define TMS_Pin GPIO_PIN_13
#define TMS_GPIO_Port GPIOA
#define TCK_Pin GPIO_PIN_14
#define TCK_GPIO_Port GPIOA
#define RMII_TX_EN_Pin GPIO_PIN_11
#define RMII_TX_EN_GPIO_Port GPIOG
#define RMII_TXD0_Pin GPIO_PIN_13
#define RMII_TXD0_GPIO_Port GPIOG
//gpio pins
#define PB0_LED1_GPIO       0
#define PB2_GPIO            1
#define PB5_GPIO            2
#define PB6_GPIO            3
#define PB7_LED2_GPIO       4
#define PB12_GPIO           5
#define PB14_LED3_GPIO      6
#define PD7_GPIO            7
#define PD10_GPIO           8
#define PD11_GPIO           9
#define PE0_GPIO            10
#define PE1_GPIO            11
#define PE2_GPIO            12
#define PE3_GPIO            13
#define PE4_GPIO            14
#define PE7_GPIO            15
#define PE8_GPIO            16
#define PF0_GPIO            17
#define PF1_GPIO            18
#define PF2_GPIO            19
#define PF6_GPIO            20
#define PF11_GPIO           21
#define PF12_GPIO           22
#define PF13_GPIO           23
#define PF14_GPIO           24
#define PF15_GPIO           25
#define PG0_GPIO            26
#define PG1_GPIO            27
#define PG2_GPIO            28
#define PG3_GPIO            29
#define PG4_GPIO            30
#define PG5_GPIO            31
#define PG10_GPIO           32
#define PG12_GPIO           33
#define PG15_GPIO           34
#define PC13_PBSW_GPIO      35
//adc
#define PA0_ADC             0
#define PA6_ADC             1
#define PB1_ADC             2
#define PC2_ADC             3
#define PA3_ADC             4
#define PB0_LED1_ADC        5
#define PC0_ADC             6
#define PC3_ADC             7
#define PF10_ADC            8
#define PF3_ADC             9
#define PF4_ADC             10
#define PF5_ADC             11
//pwm
#define PE9_PWM             0
#define PE11_PWM            1
#define PE13_PWM            2
#define PE14_PWM            3
#define PA15_PWM            4
#define PB10_PWM            5
#define PB11_PWM            6
#define PB4_PWM             7
#define PC7_PWM             8
#define PC8_PWM             9
#define PD12_PWM            10
#define PD13_PWM            11
#define PD14_PWM            12
#define PD15_PWM            13
#define PC6_PWM             14
#define PC9_PWM             15
#define PE5_PWM             16
#define PE6_PWM             17
#define PB14_LED3_PWM       18
#define PB15_PWM            19
//dac
#define PA4_DAC             0
#define PA5_DAC             1
//spi
#define SPI_BASE_CLK	    50000000UL

#endif//STM32F4_DEFS_H
